<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
ShowDlg Method (IEdmUpdateReferences)
See Also Example

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmUpdateReferences Interface : ShowDlg Method (IEdmUpdateReferences)

Visual Basic
C#
C++/CLI

lParentWnd
  Parent window handle

lFlags
  Must be 0; reserved for future use

lFolderID
  ID of the active folder; 0 to ignore

Displays the command dialog box for all of the files added to the batch with IEdmUpdateReferences::AddFile.

# Syntax

Visual Basic |
--- | ---

    Sub ShowDlg( _
       ByVal lParentWnd As System.Integer, _
       Optional ByVal lFlags As System.Integer, _
       Optional ByVal lFolderID As System.Integer _
    )

C# |
--- | ---

    void ShowDlg(
       System.int lParentWnd,
       System.int lFlags,
       System.int lFolderID
    )

C++/CLI |
--- | ---

    void ShowDlg(
    &   System.int lParentWnd,
    &   System.int lFlags,
    &   System.int lFolderID
    )

#### Parameters

lParentWnd
  Parent window handle
lFlags
  Must be 0; reserved for future use
lFolderID
  ID of the active folder; 0 to ignore

# Example

Update References (C#)
Update References (VB.NET)

# Remarks

Return codes:

- S_OK: The method successfully executed.

# See Also

####

IEdmUpdateReferences Interface
IEdmUpdateReferences Members

# Availability

SOLIDWORKS PDM Professional 2011